For the complete documentation index, see llms.txt. This page is also available as Markdown.

Repair database

Repairs corrupted database tables asynchronously. Use when database errors, crashes, or corruption are reported. The database name must be the full name returned by the list databases endpoint.

Repair database

patch

Repairs corrupted database tables asynchronously.

Use when database errors, crashes, or corruption are reported. The database name must be the full name returned by the list databases endpoint.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
namestringRequired

Full database name as returned by the list databases endpoint.

Example: u123456789_test_db
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
patch/api/hosting/v1/accounts/{username}/databases/{name}/repair
PATCH /api/hosting/v1/accounts/{username}/databases/{name}/repair HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?